commit:     a09c0894b698887264ee0cf2b21555c290084c5f
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 22 18:22:59 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Jun 22 18:58:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a09c0894

dev-python/leather: 0.3.3-r2 revbump to add cssselect dep

Closes: https://bugs.gentoo.org/797451
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/leather/Manifest                        |  1 -
 ...her-0.3.3-r1.ebuild => leather-0.3.3-r2.ebuild} | 22 ++++++++++++++++++++--
 2 files changed, 20 insertions(+), 3 deletions(-)

diff --git a/dev-python/leather/Manifest b/dev-python/leather/Manifest
index 5df59075e1e..1499dbaab74 100644
--- a/dev-python/leather/Manifest
+++ b/dev-python/leather/Manifest
@@ -1,2 +1 @@
 DIST leather-0.3.3-src.tar.gz 40522 BLAKE2B 
3c7e6a48615751b310b7f066f2a78a2494e00256cae2ebfb4633c9389cca2477c2265fcf8c68f37733568ef729db1a5daf02ddc640bf2a60f2b39127c9a38d91
 SHA512 
30ea50ac6f97c55ee695b0e175a27e1e64fd17da7b0686ca8595fe0e5067932e19e59368fe6441f8f291ec52be3e597a80f8e04a3fcc0eeae33b3a5b3030e1d6
-DIST leather-0.3.3.tar.gz 18391 BLAKE2B 
0a81343251fcdea85873fea023e1d709a385b268c2900642764c1a0ae6abfa84d9dece0ef67ae152b716c93c1bdaf9671f8c5df8cf5605694af48e8f3552437a
 SHA512 
3387353d4da129fa3601799efe8742aea08f94579caab7a5a05175ff7ad50a815fc7ca4aee5d1c390027bda3a9bf1ecd1ed5167575386a7a58f56625f5165350

diff --git a/dev-python/leather/leather-0.3.3-r1.ebuild 
b/dev-python/leather/leather-0.3.3-r2.ebuild
similarity index 54%
rename from dev-python/leather/leather-0.3.3-r1.ebuild
rename to dev-python/leather/leather-0.3.3-r2.ebuild
index 8677a80398d..c792bf43f78 100644
--- a/dev-python/leather/leather-0.3.3-r1.ebuild
+++ b/dev-python/leather/leather-0.3.3-r2.ebuild
@@ -9,8 +9,7 @@ inherit distutils-r1
 
 DESCRIPTION="Python charting for 80% of humans."
 HOMEPAGE="https://github.com/wireservice/leather 
https://pypi.org/project/leather/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
-       test? ( 
https://github.com/wireservice/leather/archive/refs/tags/${PV}.tar.gz -> 
${P}-src.tar.gz ) "
+SRC_URI="https://github.com/wireservice/leather/archive/refs/tags/${PV}.tar.gz 
-> ${P}-src.tar.gz"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
@@ -21,7 +20,26 @@ RESTRICT="!test? ( test )"
 TEST_AGAINST_RDEPEND="xml? ( dev-python/lxml[${PYTHON_USEDEP}] )"
 RDEPEND="
        ${TEST_AGAINST_RDEPEND}
+       >=dev-python/cssselect-0.9.1[${PYTHON_USEDEP}]
        >=dev-python/six-1.6.1[${PYTHON_USEDEP}]
 "
 
 distutils_enable_tests pytest
+
+python_prepare_all() {
+       local requirements_files sed_args
+
+       sed_args=(
+               -e '/coverage/d'
+               -e '/lxml/d' # lxml is required only when leather is used as a 
test dependency
+               -e '/nose/d'
+               -e '/tox/d'
+               -e '/Sphinx/d'
+               -e '/sphinx_rtd_theme/d'
+               -e '/unittest2/d'
+       )
+
+       requirements_files+=(requirements*.txt)
+       sed "${sed_args[@]}" -i "${requirements_files[@]}" || die
+       distutils-r1_python_prepare_all
+}

Reply via email to